Subject: [Add] TR: New Version Notification for draft-btw-add-home-04.txt

From: <[email-masked]>
Date: Mon, 16 Mar 2020 13:11:41 +0000

Hi all, 

We updated the draft to take into account the comments received so far. The main changes are as follows: 
* Add new sections to discuss unmanaged CPE scenarios (Sections 3.2 and 8.2)
* Add a new section to discuss URI templates discovery (Section 5). 

Cheers,
Med

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] 
Envoyé : lundi 16 mars 2020 14:07
À : Tirumaleswar Reddy.K; Neil Cook; Dan Wing; BOUCADAIR Mohamed TGI/OLN; Tirumaleswar Reddy
Objet : New Version Notification for draft-btw-add-home-04.txt

A new version of I-D, draft-btw-add-home-04.txt
has been successfully submitted by Mohamed Boucadair and posted to the
IETF repository.

Name:		draft-btw-add-home
Revision:	04
Title:		DNS-over-HTTPS and DNS-over-TLS Server Discovery and Deployment Considerations for Home and Mobile Networks
Document date:	2020-03-16
Group:		Individual Submission
Pages:		25
URL:            https://www.ietf.org/internet-drafts/draft-btw-add-home-04.txt
Status:         https://datatracker.ietf.org/doc/draft-btw-add-home/
Htmlized:       https://tools.ietf.org/html/draft-btw-add-home-04
Htmlized:       https://datatracker.ietf.org/doc/html/draft-btw-add-home
Diff:           https://www.ietf.org/rfcdiff?url2=draft-btw-add-home-04

Abstract:
   This document discusses DoT/DoH deployment considerations for home
   networks.  It particularly sketches the required steps to use DoT/DoH
   capabilities provided by local networks.

   One of the goals of this document is to assess to what extent
   existing tools can be used to provide a DoT/DoH service.  As an
   outcome, new DHCP and Router Advertisement Options are specified in
   order to convey a DNS Authentication Domain Name.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Iain Sharp <[email-masked]>
Date: Tue, 17 Mar 2020 12:38:20 +0000

Thanks all for creating this draft. 

A few general comments:

- I am not sure what the terms "LAN" and "CPE" mean in the context of a mobile network. I think that probably the "LAN" is meant to be the mobile network itself and the "CPE" is the mobile network's Internet gateway (GGSN, P-Gateway etc.). Actually it is quite hard to model mobile networks with all the layers of tunnelling etc., particularly if you include "tethering" of external devices to mobile UEs. Some more clarity on this area and showing the mapping to normal mobile network terminology would be helpful.

- Section 3.2: There may be other scenarios that are relevant - e.g. the "Internal CPE" talking to a "3rd Party DNS Provider".

Editorial comments:

- Section 3.1: "If a DNS client supports both DoT and DoH, the client try to establish DoH/DoT sessions..." should be "If a DNS client supports both DoT and DoH, the client *MAY* try to establish DoH/DoT sessions..." perhaps.

Regards

Iain

-----Original Message-----
From: Add <[email-masked]> On Behalf Of [email-masked]
Sent: 16 March 2020 13:12
To: ADD Mailing list ([email-masked]) <[email-masked]>
Subject: [EXT] [Add] TR: New Version Notification for draft-btw-add-home-04.txt

Hi all, 

Cheers,
Med

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] Envoyé : lundi 16 mars 2020 14:07 À : Tirumaleswar Reddy.K; Neil Cook; Dan Wing; BOUCADAIR Mohamed TGI/OLN; Tirumaleswar Reddy Objet : New Version Notification for draft-btw-add-home-04.txt

Name:		draft-btw-add-home
Revision:	04

Abstract:

The IETF Secretariat

-- 
Add mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/add

---

From: <[email-masked]>
Date: Tue, 17 Mar 2020 14:01:37 +0000

Hi Iain, 

Thank you for sharing the comments. 

Please see inline.

Cheers,
Med

> De : Iain Sharp [mailto:[email-masked]]
> Envoyé : mardi 17 mars 2020 13:38
> À : BOUCADAIR Mohamed TGI/OLN; ADD Mailing list ([email-masked])
> Objet : RE: New Version Notification for draft-btw-add-home-04.txt
> 
> - I am not sure what the terms "LAN" and "CPE" mean in the context of
> a mobile network.

[Med] CPE (or home routers) can get connectivity via a Fixed network, cellular network, or both (called, hybrid CPEs). "LAN" refers to the home network if you will. We are using these two notions independently of how the WAN connectivity is provided.  

 I think that probably the "LAN" is meant to be the
> mobile network itself and the "CPE" is the mobile network's Internet
> gateway (GGSN, P-Gateway etc.).

[Med] Actually, PGW can be seen as an access router in an ISP network. 

 Actually it is quite hard to model
> mobile networks with all the layers of tunnelling etc., particularly
> if you include "tethering" of external devices to mobile UEs. Some
> more clarity on this area and showing the mapping to normal mobile
> network terminology would be helpful.

[Med] Point taken. We will see how to make things more clear. We may point the reader to:
* https://tools.ietf.org/html/rfc6459 (generic architecture) 
* https://tools.ietf.org/html/rfc7849#section-3 (CPE, devices with tethering features).

> 
> - Section 3.2: There may be other scenarios that are relevant - e.g.
> the "Internal CPE" talking to a "3rd Party DNS Provider".

[Med] Agree. We discuss that particular one in Section 8.2 (see Figure 14). We may add cite it in 3.2. 

> 
> Editorial comments:
> 
> - Section 3.1: "If a DNS client supports both DoT and DoH, the client
> try to establish DoH/DoT sessions..." should be "If a DNS client
> supports both DoT and DoH, the client *MAY* try to establish DoH/DoT
> sessions..." perhaps.
> 

[Med] Fixed. Thank you. 

> Envoyé : lundi 16 mars 2020 14:07 À : Tirumaleswar Reddy.K; Neil Cook;
> Dan Wing; BOUCADAIR Mohamed TGI/OLN; Tirumaleswar Reddy Objet : New
> Version Notification for draft-btw-add-home-04.txt
> 
> 
> Title:		DNS-over-HTTPS and DNS-over-TLS Server Discovery and
> Deployment Considerations for Home and Mobile Networks

---

From: Iain Sharp <[email-masked]>
Date: Tue, 17 Mar 2020 15:45:45 +0000

Thanks Mohamed,

Good points. I see two cases in mobile:
1) Where the mobile device is acting as a gateway between a cellular network and a local Wi-Fi network. This is what is often called "tethering" or a "personal hotspot"
2) The behaviour of the operating system and the applications on the mobile UE itself.

From what you have said, it sounds like your intention is to cover case 1). I agree this has similarities to the residential case so I can see the sense in covering them together.

However, case 2) is the typical case for a mobile which isn't being used as a personal hotspot. This case has its own issues: for example, mobile UEs frequently move between Wi-Fi and cellular coverage and may be simultaneously connected to both. Each access type may have a different local DNS service.

If you can add clarity to the scope the text and title that seems sensible. If you want to cover case 2) fully then that might need an expanded discussion in the text.

Regards

Iain

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: 17 March 2020 14:02
To: Iain Sharp <[email-masked]>; ADD Mailing list ([email-masked]) <[email-masked]>
Subject: [EXT] RE: New Version Notification for draft-btw-add-home-04.txt

Hi Iain, 

Please see inline.

Cheers,
Med

> De : Iain Sharp [mailto:[email-masked]] Envoyé : mardi 17 mars 2020 
> 13:38 À : BOUCADAIR Mohamed TGI/OLN; ADD Mailing list ([email-masked]) 

[Med] Fixed. Thank you.

---

From: <[email-masked]>
Date: Wed, 18 Mar 2020 09:29:42 +0000

Hi Iain,

(2) is definitely out of scope. 

I added this NEW text to my local copy:

   Hosts and/or CPEs may be connected to multiple networks; each
   providing their own DNS configuration using the discovery mechanisms
   specified in this document.  Nevertheless, it is out of the scope of
   this specification to discuss DNS selection of multi-interface
   devices.  The reader may refer to [RFC6731] for a discussion of
   issues and an example of DNS server selection for multi-interfaced
   devices.

Thank you. 

Cheers,
Med

> Envoyé : mardi 17 mars 2020 16:46
> 1) Where the mobile device is acting as a gateway between a cellular
> network and a local Wi-Fi network. This is what is often called
> "tethering" or a "personal hotspot"
> From what you have said, it sounds like your intention is to cover
> case 1). I agree this has similarities to the residential case so I
> can see the sense in covering them together.
> 
> However, case 2) is the typical case for a mobile which isn't being
> used as a personal hotspot. This case has its own issues: for example,
> mobile UEs frequently move between Wi-Fi and cellular coverage and may
> be simultaneously connected to both. Each access type may have a
> different local DNS service.
> 
> If you can add clarity to the scope the text and title that seems
> sensible. If you want to cover case 2) fully then that might need an
> expanded discussion in the text.
> 
> 
> Regards
> 
> Iain
> 
> 
> 
> 
> [Med] CPE (or home routers) can get connectivity via a Fixed network,
> cellular network, or both (called, hybrid CPEs). "LAN" refers to the
> home network if you will. We are using these two notions independently
> of how the WAN connectivity is provided.
> 
> 
> > Diff:           https://www.ietf.org/rfcdiff?url2=draft-btw-add-
> home-
> > 04
> >
> > Abstract:

---

From: Iain Sharp <[email-masked]>
Date: Wed, 18 Mar 2020 09:54:47 +0000

Hi

Thanks for the clarification text. 

> (2) is definitely out of scope.

That being the case, then maybe a revision of the title to this would be useful: "DNS-over-HTTPS and DNS-over-TLS Server Discovery and Deployment Considerations for Home Networks and Mobile Tethering"

I think that would really help make clear that the topic is 1) and not 2).

On terminology, 3GPP uses "UE" for the device that attaches to the mobile network which is one thing that confused me when reading the document. 

Regards

Iain

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: 18 March 2020 09:30
To: Iain Sharp <[email-masked]>; ADD Mailing list ([email-masked]) <[email-masked]>
Subject: [EXT] RE: New Version Notification for draft-btw-add-home-04.txt

Hi Iain,

Thank you. 

Cheers,
Med

> 16:46 À : BOUCADAIR Mohamed TGI/OLN; ADD Mailing list ([email-masked]) 
> > A new version of I-D, draft-btw-add-home-04.txt has been 
> > successfully submitted by Mohamed Boucadair and posted to
> the
> > IETF repository.
> >
> > Name:		draft-btw-add-home
> > Revision:	04
> > Please note that it may take a couple of minutes from the time of 
> > submission until the htmlized version and diff are available at 
> > tools.ietf.org.
> >
> > The IETF Secretariat
> >
> >
> > --
> > Add mailing list
> > [email-masked]

---

From: <[email-masked]>
Date: Wed, 18 Mar 2020 10:47:50 +0000

Re-,

Please see inline. 

Cheers,
Med

> Envoyé : mercredi 18 mars 2020 10:55
> That being the case, then maybe a revision of the title to this would
> be useful: "DNS-over-HTTPS and DNS-over-TLS Server Discovery and
> Deployment Considerations for Home Networks and Mobile Tethering"

[Med] This would exclude the case of a terminal (without any tethering activated) that connects to the mobile network and retrieves the discovery information (using RA, for example).

> On terminology, 3GPP uses "UE" for the device that attaches to the
> mobile network which is one thing that confused me when reading the
> document.

[Med] I hear you. I think that changing "UE" to "host" would avoid the confusion.   

> > [Med] Agree. We discuss that particular one in Section 8.2 (see
> Figure
> > 14). We may add cite it in 3.2.
> >
> > >
> > > Editorial comments:
> > >
> > > Subject: [EXT] [Add] TR: New Version Notification for draft-btw-
> add-
> > > home-04.txt
> > >
> > > Hi all,
> > >
> > > * Add new sections to discuss unmanaged CPE scenarios (Sections
> 3.2
> > > and 8.2)
> > > URL:            https://www.ietf.org/internet-drafts/draft-btw-
> add-
> > > home-04.txt
> > > Htmlized:       https://datatracker.ietf.org/doc/html/draft-btw-
> add-
> > > home
> > >    outcome, new DHCP and Router Advertisement Options are
> specified
> > in

---

From: Iain Sharp <[email-masked]>
Date: Wed, 18 Mar 2020 10:54:45 +0000

Thanks - 

> [Med] This would exclude the case of a terminal (without any tethering activated) that connects to the mobile network and retrieves the discovery information (using RA, for example).

That was what my (2), was intended to describe, but I probably didn't describe it correctly. If that is in-scope then I am fine with the title, but I think it at least needs addition of an architecture diagram to show that case.

Regards

Iain

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: 18 March 2020 10:48
To: Iain Sharp <[email-masked]>; ADD Mailing list ([email-masked]) <[email-masked]>
Subject: [EXT] RE: New Version Notification for draft-btw-add-home-04.txt

Re-,

Please see inline. 

Cheers,
Med

> De : Iain Sharp [mailto:[email-masked]] Envoyé : mercredi 18 mars 
> 2020 10:55 À : BOUCADAIR Mohamed TGI/OLN; ADD Mailing list 
> ([email-masked]) Objet : RE: New Version Notification for 
> draft-btw-add-home-04.txt
> 
> Hi
>

---

From: <[email-masked]>
Date: Wed, 18 Mar 2020 13:32:50 +0000

Re-,

Please see inline. 

Cheers,
Med

> Envoyé : mercredi 18 mars 2020 11:55
> > [Med] This would exclude the case of a terminal (without any
> tethering activated) that connects to the mobile network and retrieves
> the discovery information (using RA, for example).
> 
> That was what my (2), was intended to describe, but I probably didn't
> describe it correctly.

[Med] I thought that (2) was about the behavior of a mobile terminal that is attached to both cellular and Wi-Fi +  discuss which server to pick. That one is out of scope. The NEW clarification text is meant to call this out explicitly. 

 If that is in-scope then I am fine with the
> title, but I think it at least needs addition of an architecture
> diagram to show that case.
> 

[Med] This what we tried to illustrate with Figure 1. With the change we discussed together (s/UE/H(ost)), Figure 1 would be:

           (b) Cellular Networks

                           |<===========Do53=========>|
                      ,--,-|,--.                      |
                   ,-'   +--+   `-.               ,--,--,--.
                  ( LAN  |H |     CPE------------+          \
                   `-.   +--+   ,-'            ,'   ISP     `-.
                      `--'--'--'              (                )
                                         +-----+-.          ,-'
                         +--+            |        `--'--'--'
                         |H +------------+
                         +--+

And this companion text: 

   "In the case of cellular networks, connectivity can be
   provided to a host or to a CPE.  Do53 mechanisms used within the
   Local Area Network (LAN) are similar in both fixed and cellular CPE-
   based broadband service offerings."